Zum Hauptinhalt springen
POST

Autorisierungen

Authorization
string
header
erforderlich

API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.

Body

application/json
name
string
erforderlich

Supplier company name

Minimum string length: 1
email
string<email>
erforderlich

Supplier contact email

Minimum string length: 1
country
enum<string>
erforderlich

Country name (e.g. "Germany", "Brazil")

Verfügbare Optionen:
Afghanistan,
Albania,
Algeria,
Andorra,
Angola,
Antigua and Barbuda,
Argentina,
Armenia,
Aruba,
Australia,
Austria,
Azerbaijan,
Bahamas,
Bahrain,
Bangladesh,
Barbados,
Belarus,
Belgium,
Belize,
Benin,
Bermuda,
Bhutan,
Bolivia,
Bosnia and Herzegovina,
Botswana,
Brazil,
British Virgin Islands,
Brunei,
Bulgaria,
Burkina Faso,
Burundi,
Cabo Verde,
Cambodia,
Cameroon,
Canada,
Cayman Islands,
Central African Republic,
Chad,
Chile,
China,
Colombia,
Comoros,
Congo (Congo-Brazzaville),
Costa Rica,
Côte d'Ivoire,
Croatia,
Cuba,
Curaçao,
Cyprus,
Czechia,
Democratic Republic of the Congo,
Denmark,
Djibouti,
Dominica,
Dominican Republic,
Ecuador,
Egypt,
El Salvador,
Equatorial Guinea,
Eritrea,
Estonia,
Eswatini,
Ethiopia,
Faroe Islands,
Fiji,
Finland,
France,
French Polynesia,
Gabon,
Gambia,
Georgia,
Germany,
Ghana,
Gibraltar,
Greece,
Greenland,
Grenada,
Guatemala,
Guernsey,
Guinea,
Guinea-Bissau,
Guyana,
Haiti,
Honduras,
Hong Kong,
Hungary,
Iceland,
India,
Indonesia,
Iran,
Iraq,
Ireland,
Isle of Man,
Israel,
Italy,
Jamaica,
Japan,
Jersey,
Jordan,
Kazakhstan,
Kenya,
Kiribati,
Kosovo,
Kuwait,
Kyrgyzstan,
Laos,
Latvia,
Lebanon,
Lesotho,
Liberia,
Libya,
Liechtenstein,
Lithuania,
Luxembourg,
Macau,
Madagascar,
Malawi,
Malaysia,
Maldives,
Mali,
Malta,
Marshall Islands,
Mauritania,
Mauritius,
Mexico,
Micronesia,
Moldova,
Monaco,
Mongolia,
Montenegro,
Morocco,
Mozambique,
Myanmar (Burma),
Namibia,
Nauru,
Nepal,
Netherlands,
New Caledonia,
New Zealand,
Nicaragua,
Niger,
Nigeria,
North Korea,
North Macedonia,
Norway,
Oman,
Pakistan,
Palau,
Palestine State,
Panama,
Papua New Guinea,
Paraguay,
Peru,
Philippines,
Poland,
Portugal,
Puerto Rico,
Qatar,
Romania,
Russia,
Rwanda,
Saint Kitts and Nevis,
Saint Lucia,
Saint Vincent and the Grenadines,
Samoa,
San Marino,
Sao Tome and Principe,
Saudi Arabia,
Senegal,
Serbia,
Seychelles,
Sierra Leone,
Singapore,
Sint Maarten,
Slovakia,
Slovenia,
Solomon Islands,
Somalia,
South Africa,
South Korea,
South Sudan,
Spain,
Sri Lanka,
Sudan,
Suriname,
Sweden,
Switzerland,
Syria,
Taiwan,
Tajikistan,
Tanzania,
Thailand,
Timor-Leste,
Togo,
Tonga,
Trinidad and Tobago,
Tunisia,
Turkey,
Turkmenistan,
Turks and Caicos Islands,
Tuvalu,
U.S. Virgin Islands,
Uganda,
Ukraine,
United Arab Emirates,
United Kingdom,
United States,
Uruguay,
Uzbekistan,
Vanuatu,
Vatican City,
Venezuela,
Vietnam,
Yemen,
Zambia,
Zimbabwe
address
object
erforderlich

A postal address.

contactName
string

Contact person name

externalSupplierId
string

External ID from your ERP system

associatedArticles
string[]

List of existing article IDs to link to this supplier

ccEmails
string<email>[]

Additional contact emails (max 10), copied on every email to this supplier. An address equal to email is ignored; an invalid address rejects the request.

Maximum array length: 10
Maximum string length: 320

Antwort

Supplier created successfully (single)

supplier
object
erforderlich

The stored supplier fields. Further keys may be present and are not part of the contract; read the full supplier with GET /api/v1/suppliers/{id}.